Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class SimpleIORManager

    java.lang.Object
      |
      +--org.openorb.PI.SimpleIORManager

All Implemented Interfaces:
  IORManager

public class SimpleIORManager
extends java.lang.Object
implements IORManager

This class is the IOR interceptor manager.

Version:
  $Revision: 1.6 $ $Date: 2002/07/14 18:55:11 $
Author:
  Jerome Daniel, Chris Wood

Constructor Summary
`SimpleIORManager(IORInterceptor[] list)` Constructor

Method Summary
`void` | `establish_components(IORInfo info)` This operation must be called from the IOR interception point.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleIORManager

    public SimpleIORManager(IORInterceptor[] list)

  Constructor

Method Detail

### establish_components

    public void establish_components(IORInfo info)

  This operation must be called from the IOR interception point.
  Specified by:
    `establish_components` in interface `IORManager`
  Following copied from interface: `org.openorb.PI.IORManager`
  Parameters:
    `info` - The IOR descriptor.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD